[Unit]
Description = CoreMedia Monitoring Graphyte Daemon
After = syslog.target network.target

[Service]
Type = simple

Environment=TERM=linux

PIDFile    = {{ graphyte_daemon_home }}/graphyte-daemon.pid
ExecStart  = {{ graphyte_daemon_home }}/bin/graphyte-daemon.py
ExecReload = /bin/kill -HUP $MAINPID

WorkingDirectory = {{ graphyte_daemon_home }}/bin
User  = {{ graphyte_daemon_user }}
Group = {{ graphyte_daemon_group }}

KillMode   = process
KillSignal = SIGHUP

Restart = on-failure
RestartForceExitStatus = 127 SIGABRT SIGUSR1

RestartSec = 10
TimeoutSec = 30

# ned for an ping
CapabilityBoundingSet = CAP_SYS_RAWIO CAP_NET_RAW

[Install]
WantedBy = multi-user.target
